/*
Smooth Tab Panel
Author: KEITA HIRAI
URL: keitahirai.net
*/

/* シンプル
   ========================================================================== */
$(function(){
	var touch = ("ontouchstart" in document) ? "touchstart" : "click";

	$("#tab-panel li:not(:first)").hide();
	$("#tab-nav a:first").addClass("active");

	// $("#tab-nav a").on("click", function() {
	$("#tab-nav a").on(touch, function() {
		$($(this).attr("href")).show();
		$($(this).attr("href")).siblings().hide();

		$("#tab-nav a.active").removeClass("active");
		$(this).addClass("active");
		return false;
	});
});



/* フェード
   ========================================================================== */
$(function(){
	var touch = ("ontouchstart" in document) ? "touchstart" : "click";

	$("#tab-panel-fade li:not(:first)").hide();
	$("#tab-nav-fade a:first").addClass("active");

	// $("tab-nav-fade a").on("click", function() {
	$("#tab-nav-fade a").on(touch, function() {
		$($(this).attr("href")).velocity("fadeIn", {duration: 400});
		$($(this).attr("href")).siblings().hide();

		$("#tab-nav-fade a.active").removeClass("active");
		$(this).addClass("active")
		return false;
	});
});



/* 縦スライド
   ========================================================================== */
$(function(){
	var touch = ("ontouchstart" in document) ? "touchstart" : "click";

	$("#tab-panel-slidedown li:not(:first)").hide();
	$("#tab-nav-slidedown a:first").addClass("active");

	// $("#tab-nav-slide a").on("click", function() {
	$("#tab-nav-slidedown a").on(touch, function() {
		$($(this).attr("href")).velocity("slideDown", {duration: 400});
		$($(this).attr("href")).siblings().hide();

		$("#tab-nav-slidedown a.active").removeClass("active");
		$(this).addClass("active");
		return false;
	});
});



/* 横スライド
   ========================================================================== */
$(function(){
	var touch = ("ontouchstart" in document) ? "touchstart" : "click";

	$("#tab-panel-slide li:not(:first)").css("width", "0");
	$("#tab-nav-slide a:first").addClass("active");

	// $("#tab-nav-slide a")on("click", function() {
	$("#tab-nav-slide a").on(touch, function() {
		$($(this).attr("href")).velocity({width: "100%"}, 800, "ease-out");
		$($(this).attr("href")).siblings().css("width", "0");

		$("#tab-nav-slide a.active").removeClass("active");
		$(this).addClass("active");
		return false;
	});
});